summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/webcheck_url.sh27
-rw-r--r--job-cfg/webcheck.yaml37
2 files changed, 64 insertions, 0 deletions
diff --git a/bin/webcheck_url.sh b/bin/webcheck_url.sh
new file mode 100755
index 00000000..366f1890
--- /dev/null
+++ b/bin/webcheck_url.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Copyright 2012 Holger Levsen <holger@layer-acht.org>
+# released under the GPLv=2
+
+# $1 = URL
+
+if [ "$1" == "" ] ; then
+ echo "need at least one URL to act on"
+ echo '# $1 = URL'
+ exit 1
+fi
+
+#set -x
+set -e
+export LANG=C
+export http_proxy="http://localhost:3128"
+
+TMPFILE=$(mktemp -d)
+cd $TMPFILE
+PARAMS=""
+if [ "$2" != "" ] ; then
+ PARAMS=$(for i in $2 ; do echo -n "-y $i " ; done)
+fi
+webcheck $1 $PARAMS
+cd ..
+mv $TMPFILE $(basename $1)
diff --git a/job-cfg/webcheck.yaml b/job-cfg/webcheck.yaml
new file mode 100644
index 00000000..1e7a5cfa
--- /dev/null
+++ b/job-cfg/webcheck.yaml
@@ -0,0 +1,37 @@
+
+- defaults:
+ name: webcheck
+ description: 'Run <a href="http://arthurdejong.org/webcheck/">webcheck</a> on {webcheck_url} once a week.{do_not_edit}'
+ logrotate:
+ daysToKeep: 90
+ numToKeep: 50
+ artifactDaysToKeep: -1
+ artifactNumToKeep: -1
+ triggers:
+ - timed: "0 1 * * 0"
+ builders:
+ - shell: '/srv/jenkins/bin/webcheck_url.sh {webcheck_url} {webcheck_ignore_patterns}'
+ publishers:
+ - logparser:
+ rulespath: '/srv/jenkins/logparse/debian.rules'
+ unstable_on_warning: 'false'
+ fail_on_error: 'false'
+ properties:
+ - sidebar:
+ url: http://jenkins.debian.net/userContent/about.html
+ text: About jenkins.debian.net
+ icon: /userContent/images/debian-swirl-24x24.png
+ - sidebar:
+ url: http://www.profitbricks.com
+ text: Sponsored by Profitbricks
+ icon: /userContent/images/profitbricks-24x24.png
+
+- project:
+ name: webcheck
+ do_not_edit: '<br><br>Configured by <a href="http://jenkins.debian.net/userContent/about.html">jenkins-job-builder</a>, do not edit this job through the web UI.'
+ jobs:
+
+ - '{name}-www.debconf.org':
+ webcheck_url: 'http://www.debconf.org'
+ webcheck_ignore_patterns: '^mailto:'
+